com.pixelmed.dicom

## Class ContentItemFactory.UnrecognizedContentItem

- java.lang.Object
- - com.pixelmed.dicom.ContentItem
  - - com.pixelmed.dicom.ContentItemWithValue
    - - com.pixelmed.dicom.ContentItemFactory.UnrecognizedContentItem

All Implemented Interfaces:
  javax.swing.tree.TreeNode

Enclosing class:
  ContentItemFactory

    public class ContentItemFactory.UnrecognizedContentItem
    extends ContentItemWithValue

### Field Summary

### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

`conceptName, referencedContentItemIdentifier, valueType`

### Fields inherited from class com.pixelmed.dicom.ContentItem

`relationshipType`

### Constructor Summary

Constructors
Constructor and Description
`ContentItemFactory.UnrecognizedContentItem(ContentItem parent)`
`ContentItemFactory.UnrecognizedContentItem(ContentItem parent, AttributeList list)`
`ContentItemFactory.UnrecognizedContentItem(ContentItem parent, AttributeList list, java.lang.String name)`

### Method Summary

Methods
`java.lang.String` `getConceptValue()` Get a string representation of the value of the concept.

### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

`contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType, toString`

### Methods inherited from class com.pixelmed.dicom.ContentItem

`addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getParent, getParentAsContentItem, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getReferencedSOPClassUID, getReferencedSOPInstanceUID, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContentItemFactory.UnrecognizedContentItem

    public ContentItemFactory.UnrecognizedContentItem(ContentItem parent)

Parameters:
  `parent` -

#### ContentItemFactory.UnrecognizedContentItem

    public ContentItemFactory.UnrecognizedContentItem(ContentItem parent,
                                              AttributeList list)

Parameters:
  `parent` -
  `list` -

#### ContentItemFactory.UnrecognizedContentItem

    public ContentItemFactory.UnrecognizedContentItem(ContentItem parent,
                                              AttributeList list,
                                              java.lang.String name)

Parameters:
  `parent` -
  `list` -
  `name` -

### Method Detail

#### getConceptValue

    public java.lang.String getConceptValue()

Description copied from class: `ContentItemWithValue`

Get a string representation of the value of the concept.

The exact form of the returned string is specific to the type of ContentItem.

Specified by:
  `getConceptValue` in class `ContentItemWithValue`
Returns:
  a String representation of the name and value, or an empty string